Skip to navigation

List analysis items

List analysis items available in the workspace.

Headers

xi-api-keystringOptional

Query parameters

searchstring or nullOptional<=100 characters

If specified, only analysis items whose names start with this string are returned, ordered by relevance rather than sort_direction.

page_sizeinteger or nullOptional1-100Defaults to 30
How many documents to return at maximum. Can not exceed 100, defaults to 30.
kindenum or nullOptional
If specified, only analysis items of this kind are returned.
Allowed values:
analysis_item_idslist of strings or nullOptional
If specified, only analysis items with these IDs are returned.
created_by_user_idstring or nullOptional

Filter by creator user ID. Use ‘@me’ to refer to the authenticated user.

sort_directionenumOptional
The direction to sort the results
Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
analysis_itemslist of objects
has_moreboolean
next_cursorstring or nullOptional

Errors

422
Unprocessable Entity Error